import { GridFilterOperator } from "@mui/x-data-grid-pro";
/**
 * Return DataGrid filter operators for a given column type.
 *
 * @param {string | undefined} type Type of the column.
 * @returns {Array<GridFilterOperator>} Return filter operators.
 */
export declare function operatorsByType(type: string | undefined): GridFilterOperator[];
