import { ButtonProps, PopoverProps, TypographyProps } from "@mui/material";
import { ReactElement } from "react";
import { NerdNotifierProps } from "../nerdNotifier";
export type NerdFileUploadProps = {
    buttonLabel?: string;
    buttonTitle?: string;
    startIcon?: ReactElement;
    dropZoneLabel?: string;
    accept?: string[];
    maxSize?: number;
    dense?: boolean;
    hideFilesList?: boolean;
    uploadedFilesList?: File[];
    browseFilesButtonProps?: ButtonProps;
    denseFilesListPopoverProps?: PopoverProps;
    limitSizeTypographyProps?: TypographyProps;
    limitSizeText?: string;
    acceptedFormatsTypographyProps?: TypographyProps;
    acceptedFormatsText?: string;
    fileErrorNotificationProps?: NerdNotifierProps;
} & conditionalTypes;
type conditionalTypes = {
    multiple: true;
    uploadFile: (files: File[]) => void;
} | {
    multiple?: false;
    uploadFile: (file: File) => void;
};
/**
 *
 * @param {NerdFileUploadProps} props Component props
 * @returns {ReactElement} NerdFileUpload
 */
export default function NerdFileUpload(props: NerdFileUploadProps): ReactElement;
export {};
