const TextDirectiveParser = {
    defineNodes: ["TextDirective"],
    parseInline: [
        {
            name: "TextDirective",
            parse(cx, _next, pos) {
                if (cx.char(pos) == 58 && cx.text.match(/:\S+\[.*]{.*}/)) {
                    return cx.addElement(cx.elt("TextDirective", pos, pos + cx.text.length));
                }
                else
                    return -1;
            },
        },
    ],
};
export { TextDirectiveParser };
