/// <reference types="react" />
import { PayloadAction } from "@reduxjs/toolkit";
import { NerdNotifierProps } from "../../nerdNotifier";
export declare const notificationInitialState: NerdNotifierProps;
export declare const notificationSlice: import("@reduxjs/toolkit").Slice<NerdNotifierProps, {
    showNotification: (_state: import("immer/dist/internal").WritableDraft<NerdNotifierProps>, action: PayloadAction<NerdNotifierProps>) => {
        children?: import("react").ReactNode;
        notification: import("../../nerdNotifier").NerdNotificationProps;
        onClose?: ((event?: Event | import("react").SyntheticEvent<Element, Event> | undefined, reason?: string | undefined) => void) | undefined;
    };
    clearNotification: () => NerdNotifierProps;
}, "notification">;
export declare const showNotification: import("@reduxjs/toolkit").ActionCreatorWithPayload<NerdNotifierProps, "notification/showNotification">, clearNotification: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"notification/clearNotification">;
export declare const notificationReducer: import("redux").Reducer<NerdNotifierProps, import("redux").AnyAction>;
